
%define	module	db_row

Summary:	Database abstraction layer
Summary(pl.UTF-8):	Warstwa abstrakcji baz danych
Name:		python-%{module}
Version:	0.8
Release:	5
License:	distributable
Group:		Development/Languages/Python
Source0:	http://opensource.theopalgroup.com/files/%{module}-%{version}.tgz
# Source0-md5:	8a264dde00752bef9a5751c5382269c8
URL:		http://opensource.theopalgroup.com/
Patch0:		%{name}-setup.patch
%pyrequires_eq  python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The db_row module defines light-weight objects suitable for many
applications, though the primary goal of the implementer is for
storage of database query results.

%description -l pl.UTF-8
Moduł db_row definiuje zestaw lekkich obiektów odpowiednich dla
wielu aplikacji, jednak głównym zamierzeniem jest przechowywanie
wyników zapytań do baz danych.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

install -D $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py_sitedir}}/db_rowc.so
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/db_rowc.so

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py[co]
%{py_sitedir}/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-db_row.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 02c951e
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d93b213
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e9c8eed
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 98c3282
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 597e278
- release 3

* Tue Jul 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> c935b39
- *.so modules must be in /usr/lib/python...
- use %py_postclean macro
- adapterized
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 33edd5e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 696d495
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 9f2e66c
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 167492f
- cleanups

* Sat Nov 27 2004 saq <saq@pld-linux.org> 049d0af
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> e521f95
- removed %%include /usr/lib/rpm/macros.python

* Mon Jul 26 2004 Marcin Gajda <m.gajda@functional-software.com> e2448b9
- massive attack: s/CLFAGS/CFLAGS/

* Wed May 26 2004 ankry <ankry@pld-linux.org> c73e172
- capitalization, tabs, other cosmetics

* Sun May 23 2004 leafnode <leafnode@pld-linux.org> 1db6dac
- patch fixing setup.py file

* Sun May 23 2004 leafnode <leafnode@pld-linux.org> 285d713
- import

